//
// Created by dell on 24-9-23.
//

#include "ultrasonic_driver.h"
#include "gd32e23x.h"
#include "systick.h"

void usart_config(void)
{
    rcu_periph_clock_enable(USART_GPIO_RCU);
    rcu_periph_clock_enable(USART_RCU);

    gpio_af_set(USARET_GPIO_PORT, GPIO_AF_1, GPIO_PIN_2 | GPIO_PIN_3);

    /* configure USART Tx as alternate function push-pull */
    gpio_mode_set(USARET_GPIO_PORT, GPIO_MODE_AF, GPIO_PUPD_PULLUP, USART_TX_PIN | USART_RX_PIN);
    gpio_output_options_set(USARET_GPIO_PORT, GPIO_OTYPE_PP, GPIO_OSPEED_10MHZ, USART_TX_PIN | USART_RX_PIN);

    /* USART configure */
    usart_deinit(USART0_PHY);
    usart_baudrate_set(USART0_PHY, USART_BAUDRATE);
    usart_receive_config(USART0_PHY, USART_RECEIVE_ENABLE);
    usart_transmit_config(USART0_PHY, USART_TRANSMIT_ENABLE);

    usart_enable(USART0_PHY);
}
